package com.clx.performance.service.thirdparty.nbbank;

import com.clx.performance.vo.pc.nbbank.NbBankOrderPayResultVO;
import com.clx.performance.vo.pc.nbbank.NbBankOrderResultVO;

/**
 * 宁波银行接口
 */
public interface NbBankService {

    NbBankOrderPayResultVO orderTransferPay(Integer amount);

    NbBankOrderPayResultVO orderDirectPay(Long loanNo, String remark, Integer amount,
                                          String payAcctOpenBankId, String payAcctNo, String payAcctNm);

    NbBankOrderResultVO getResult(String merSeqNo);

    NbBankOrderResultVO adjust(String orgMerSeqNo, Integer amount);

    NbBankOrderResultVO refund(Integer type, String orgMerSeqNo, Integer amount, String orgTransSeqNo);

    void orderPayCallback(String merSeqNo, String transSeqNo,
                          Integer trxAmt, Integer realTrxAmt,
                          String transStatus,
                          String signNo
    );
    void orderPayCallback(String merSeqNo, String transSeqNo,
                          Integer trxAmt, Integer realTrxAmt,
                          Integer transStatus,
                          String signNo
    );

}
